### Constructor

# Camel VeeSummary new

#### Declaration [src]

    CamelFolderSummary*
    camel_vee_summary_new (
      CamelFolder* parent
    )

#### Description [src]

This will create a new CamelVeeSummary object and read in the summary data from disk, if it exists.

#### Parameters

`parent`

  Type: `CamelFolder`

  Folder its attached to.

  The data is owned by the caller of the function.

#### Return value

Type: `CamelFolderSummary`

A new CamelVeeSummary object.

The caller of the function takes ownership of the data, and is responsible for freeing it.